"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const yup = __importStar(require("yup"));
const MerchantConfigSchema = yup.object().shape({
    MerchantID: yup.string().strict().min(1).max(20).required(),
    HashKey: yup.string().strict().required(),
    HashIV: yup.string().strict().required(),
    ReturnURL: yup.string().max(200).required().url(),
    PlatformID: yup.string().max(10).strict(),
    OrderResultURL: yup.string().max(200),
    ClientBackURL: yup.string().max(200),
    PeriodReturnURL: yup.string().max(200).url(),
    ClientRedirectURL: yup.string().max(200),
    PaymentInfoURL: yup.string().max(200).url(),
});
exports.default = MerchantConfigSchema;
